Fixup `PEP8Error` to carry lines.

Review Request #3806 — Created May 2, 2016 and submitted — Latest diff uploaded

jsirois
pants
jsirois/python_checkstyle/fix_noqa
3319
3647
b34740b...
pants-reviews
molsen, nhoward_tw
This plumbing was missed in https://rbcommons.com/s/twitter/r/3647 and
it is needed to enable the higher-level `# noqa` support provided by
`checker.py`.

 contrib/python/src/python/pants/contrib/python/checks/tasks/checkstyle/pep8.py                    |  3 ++-
 contrib/python/tests/python/pants_test/contrib/python/checks/tasks/checkstyle/plugin_test_base.py |  8 +++++---
 contrib/python/tests/python/pants_test/contrib/python/checks/tasks/checkstyle/test_pep8.py        | 11 +++++++++++
 3 files changed, 18 insertions(+), 4 deletions(-)

Noticed this attempting to upgrade Aurora to pants 1.0.0.

New test was red prior to fix, green after. With this fix, Aurora
now passes python style checks again w/o altering its # noqas.

CI went green here:
https://travis-ci.org/pantsbuild/pants/builds/127130766

Loading...